curl --request GET \
--url https://developersandbox-api.flutterwave.com/charges/{id} \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "<string>",
"data": {
"id": "chg_nONgeAGY97",
"amount": 12.34,
"fees": [
{
"type": "vat",
"amount": 12.3
}
],
"billing_details": {
"email": "cornelius@gmail.com",
"name": {
"first": "King",
"middle": "Leo",
"last": "LeBron"
},
"phone": {
"country_code": "234",
"number": "08012345678"
}
},
"currency": "NGN",
"customer_id": "cus_3XarBILKQS",
"description": "<string>",
"disputed": false,
"settled": false,
"settlement_id": [
"<string>"
],
"meta": {},
"next_action": {
"type": "redirect_url",
"redirect_url": {
"url": "https://developer-sandbox-ui-sit.flutterwave.cloud/redirects?opay&token=eyJhbGciOiJIUzI1NiJ9.eyJjbGllbnRJZCI6ImNiYThhMTkwLTE2OGUtNGNmZS05NmY5LTE2NDZhYjFhOWNkYiIsImNoYXJnZUlkIjoiY2hnX25PTmdlQUdZOTciLCJzdWIiOiJjYmE4YTE5MC0xNjhlLTRjZmUtOTZmOS0xNjQ2YWIxYTljZGIiLCJpYXQiOjE3MzgzMTc3MTAsImV4cCI6MTczODMxODAxMH0.QgLoZYfNhHJOJJvOsLA9eLoxOjGF0qnuehPMgMP4zD4"
}
},
"payment_method_details": {
"id": "pmd_WRq7L4TM8p",
"type": "card",
"card": {
"expiry_month": "09",
"expiry_year": "32",
"first6": "123412",
"last4": "1234",
"network": "MASTERCARD",
"billing_address": {
"city": "New York",
"country": "US",
"line1": "123 Main Street",
"postal_code": "10001",
"state": "New York",
"line2": "Apt 4B"
},
"cof": {
"enabled": true,
"agreement_id": "Agreement00w02W1",
"recurring_amount_variability": "VARIABLE",
"agreement_type": "UNSCHEDULED",
"trace_id": "123456789"
},
"card_holder_name": "Alex James"
},
"customer_id": "cus_3XarBILKQS",
"meta": {},
"device_fingerprint": "62wd23423rq324323qew1",
"client_ip": "154.123.220.1",
"created_datetime": "2024-12-03T13:54:21.546559974Z"
},
"redirect_url": "https://www.google.com",
"refunded": false,
"reference": "<string>",
"status": "succeeded",
"processor_response": {
"type": "approved",
"code": "00"
},
"created_datetime": "2023-11-07T05:31:56Z"
}
}Retrieve a charge
curl --request GET \
--url https://developersandbox-api.flutterwave.com/charges/{id} \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "<string>",
"data": {
"id": "chg_nONgeAGY97",
"amount": 12.34,
"fees": [
{
"type": "vat",
"amount": 12.3
}
],
"billing_details": {
"email": "cornelius@gmail.com",
"name": {
"first": "King",
"middle": "Leo",
"last": "LeBron"
},
"phone": {
"country_code": "234",
"number": "08012345678"
}
},
"currency": "NGN",
"customer_id": "cus_3XarBILKQS",
"description": "<string>",
"disputed": false,
"settled": false,
"settlement_id": [
"<string>"
],
"meta": {},
"next_action": {
"type": "redirect_url",
"redirect_url": {
"url": "https://developer-sandbox-ui-sit.flutterwave.cloud/redirects?opay&token=eyJhbGciOiJIUzI1NiJ9.eyJjbGllbnRJZCI6ImNiYThhMTkwLTE2OGUtNGNmZS05NmY5LTE2NDZhYjFhOWNkYiIsImNoYXJnZUlkIjoiY2hnX25PTmdlQUdZOTciLCJzdWIiOiJjYmE4YTE5MC0xNjhlLTRjZmUtOTZmOS0xNjQ2YWIxYTljZGIiLCJpYXQiOjE3MzgzMTc3MTAsImV4cCI6MTczODMxODAxMH0.QgLoZYfNhHJOJJvOsLA9eLoxOjGF0qnuehPMgMP4zD4"
}
},
"payment_method_details": {
"id": "pmd_WRq7L4TM8p",
"type": "card",
"card": {
"expiry_month": "09",
"expiry_year": "32",
"first6": "123412",
"last4": "1234",
"network": "MASTERCARD",
"billing_address": {
"city": "New York",
"country": "US",
"line1": "123 Main Street",
"postal_code": "10001",
"state": "New York",
"line2": "Apt 4B"
},
"cof": {
"enabled": true,
"agreement_id": "Agreement00w02W1",
"recurring_amount_variability": "VARIABLE",
"agreement_type": "UNSCHEDULED",
"trace_id": "123456789"
},
"card_holder_name": "Alex James"
},
"customer_id": "cus_3XarBILKQS",
"meta": {},
"device_fingerprint": "62wd23423rq324323qew1",
"client_ip": "154.123.220.1",
"created_datetime": "2024-12-03T13:54:21.546559974Z"
},
"redirect_url": "https://www.google.com",
"refunded": false,
"reference": "<string>",
"status": "succeeded",
"processor_response": {
"type": "approved",
"code": "00"
},
"created_datetime": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
12 - 255ID of the charge.
"chg_EFAHCzELJb"
Was this page helpful?